"use strict";

var _to5Helpers = require("6to5-runtime/helpers");

var Assert = require("./assert");
var Resources = require("./resources");
var Browser = require("./browser");


Browser.Assert = Assert;
Browser.Resources = Resources;


// ### zombie.visit(url, callback)
// ### zombie.visit(url, options? callback)
//
// Creates a new Browser, opens window to the URL and calls the callback when
// done processing all events.
//
// * url -- URL of page to open
// * callback -- Called with error, browser
Browser.visit = function (url, options, callback) {
  if (arguments.length === 2 && typeof options === "function") {
    var _ref = [null, options];

    var _ref2 = _to5Helpers.slicedToArray(_ref, 2);

    options = _ref2[0];
    callback = _ref2[1];
  }
  var browser = Browser.create(options);
  if (callback) browser.visit(url, function (error) {
    return callback(error, browser);
  });else return browser.visit(url).then(function () {
    return browser;
  });
};


// ### listen port, callback
// ### listen socket, callback
// ### listen callback
//
// Ask Zombie to listen on the specified port for requests.  The default
// port is 8091, or you can specify a socket name.  The callback is
// invoked once Zombie is ready to accept new connections.
Browser.listen = function (port, callback) {
  require("./zombie/protocol").listen(port, callback);
};


// Export the globals from browser.coffee
module.exports = Browser;
//# sourceMappingURL=../zombie/index.js.map